Activity log for bug #1758797

Date Who What changed Old value New value Message
2018-03-26 03:16:08 quanxian bug added bug
2018-04-02 05:55:07 quanxian tags 18.04-bug
2018-04-04 03:31:51 Anthony Wong information type Proprietary Public
2018-04-04 03:32:01 Anthony Wong bug task added linux (Ubuntu)
2018-04-04 04:00:07 Ubuntu Kernel Bot linux (Ubuntu): status New Incomplete
2018-04-04 04:00:08 Ubuntu Kernel Bot tags 18.04-bug 18.04-bug bionic
2018-04-04 08:33:13 quanxian intel: status New Won't Fix
2018-04-05 00:29:28 quanxian intel: status Won't Fix New
2018-04-13 03:05:14 quanxian attachment added 0001-usb-typec-ucsi-Increase-command-completion-timeout-v.patch https://bugs.launchpad.net/intel/+bug/1758797/+attachment/5113193/+files/0001-usb-typec-ucsi-Increase-command-completion-timeout-v.patch
2018-04-13 04:23:56 Ubuntu Foundations Team Bug Bot tags 18.04-bug bionic 18.04-bug bionic patch
2018-04-13 04:23:57 Ubuntu Foundations Team Bug Bot bug added subscriber Joseph Salisbury
2018-04-13 09:27:00 Thadeu Lima de Souza Cascardo nominated for series Ubuntu Bionic
2018-04-13 09:39:33 Thadeu Lima de Souza Cascardo bug task added linux (Ubuntu Bionic)
2018-04-13 09:53:57 Thadeu Lima de Souza Cascardo description Description: Platform information: Label: GLK02SDP Processor: Silver N5000 Bios: GELKRVPA.X64.0083.B30.1801162142 OS: Ubuntu 18.04 Kernel: 4.15.0-10-generic Details: Bios: system setup -> system component -> USB Type-C <enabled> root@GLK02:~# cat /boot/config-4.15.0-10-generic | grep -i ucsi CONFIG_TYPEC_UCSI=m CONFIG_UCSI_ACPI=m root@GLK02:~# ls /sys/class/typec/ root@GLK02:~# USB Type-C ports could not be seen. [Impact] USB Type-C ports would not be seen at ls /sys/class/typec/ some times, ie, driver probe would fail. The fix just [Test Case] During boot, with the system at load, the probe would fail some times. With the increased timeout for firmware responses, that doesn't happen after many reboots. [Regression Potential] This would only impact systems that have this specific ACPI node. As the probe runs on a work queue, this should not impact boot time. Description: Platform information: Label: GLK02SDP Processor: Silver N5000 Bios: GELKRVPA.X64.0083.B30.1801162142 OS: Ubuntu 18.04 Kernel: 4.15.0-10-generic Details: Bios: system setup -> system component -> USB Type-C <enabled> root@GLK02:~# cat /boot/config-4.15.0-10-generic | grep -i ucsi CONFIG_TYPEC_UCSI=m CONFIG_UCSI_ACPI=m root@GLK02:~# ls /sys/class/typec/ root@GLK02:~# USB Type-C ports could not be seen.
2018-04-13 09:54:52 Thadeu Lima de Souza Cascardo linux (Ubuntu Bionic): status Incomplete In Progress
2018-04-13 09:54:56 Thadeu Lima de Souza Cascardo linux (Ubuntu Bionic): assignee Thadeu Lima de Souza Cascardo (cascardo)
2018-04-13 13:48:00 Thadeu Lima de Souza Cascardo description [Impact] USB Type-C ports would not be seen at ls /sys/class/typec/ some times, ie, driver probe would fail. The fix just [Test Case] During boot, with the system at load, the probe would fail some times. With the increased timeout for firmware responses, that doesn't happen after many reboots. [Regression Potential] This would only impact systems that have this specific ACPI node. As the probe runs on a work queue, this should not impact boot time. Description: Platform information: Label: GLK02SDP Processor: Silver N5000 Bios: GELKRVPA.X64.0083.B30.1801162142 OS: Ubuntu 18.04 Kernel: 4.15.0-10-generic Details: Bios: system setup -> system component -> USB Type-C <enabled> root@GLK02:~# cat /boot/config-4.15.0-10-generic | grep -i ucsi CONFIG_TYPEC_UCSI=m CONFIG_UCSI_ACPI=m root@GLK02:~# ls /sys/class/typec/ root@GLK02:~# USB Type-C ports could not be seen. [Impact] USB Type-C ports would not be seen at ls /sys/class/typec/ some times, ie, driver probe would fail. The fix just changes a timeout setting, allowing the probe to succeed in those cases there is load on the system. [Test Case] During boot, with the system at load, the probe would fail some times. With the increased timeout for firmware responses, that doesn't happen after many reboots. [Regression Potential] This would only impact systems that have this specific ACPI node. As the probe runs on a work queue, this should not impact boot time. Description: Platform information: Label: GLK02SDP Processor: Silver N5000 Bios: GELKRVPA.X64.0083.B30.1801162142 OS: Ubuntu 18.04 Kernel: 4.15.0-10-generic Details: Bios: system setup -> system component -> USB Type-C <enabled> root@GLK02:~# cat /boot/config-4.15.0-10-generic | grep -i ucsi CONFIG_TYPEC_UCSI=m CONFIG_UCSI_ACPI=m root@GLK02:~# ls /sys/class/typec/ root@GLK02:~# USB Type-C ports could not be seen.
2018-04-13 17:31:06 Thadeu Lima de Souza Cascardo linux (Ubuntu Bionic): status In Progress Fix Committed
2018-04-20 10:55:45 Daniele Dellafiore bug added subscriber Daniele Dellafiore
2018-04-20 14:36:56 Daniele Dellafiore attachment added dmesg https://bugs.launchpad.net/intel/+bug/1758797/+attachment/5123881/+files/dmesg
2018-04-23 23:51:27 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2018-04-23 23:51:27 Launchpad Janitor cve linked 2017-5715
2018-04-23 23:51:27 Launchpad Janitor cve linked 2017-5753
2018-04-23 23:51:27 Launchpad Janitor cve linked 2017-5754
2018-07-26 15:40:23 Joseph Salisbury intel: status New Fix Released
2018-12-27 12:40:15 David Hereschler Shvo linux (Ubuntu): assignee Thadeu Lima de Souza Cascardo (cascardo) David Hereschler Shvo (shvo123)